Description

This is a guide on installing the Atom editor on Debian 8.

Prepare the System

o Make sure the system is up to date:
sudo apt-get update && apt-get upgrade

e |nstall a few dependencies:

sudo apt-get install build-essential git libgnome-keyring-dev fakeroot

Install Nodejs

e Setup as root:

apt-get install curl

curl --silent --location https://deb.nodesource.com/setup_0.12

e Then install as root:

apt-get install --yes nodejs

e Set npm to use python2 globally:

npm config set python /usr/bin/python2 -g

Install Atom

NOTE: Atom must be built as a non-root user

sSu — user

e Clone the Atom repository:

git clone https://github.com/atom/atom
cd atom
e Checkout the latest Atom release:

git fetch -p
git checkout $(git describe --tags “git rev-list --tags —--max-count=1")

e Build Atom:

script/build
This will create the atom application at $TMPDIR/atom-build/Atom.

¢ Install the atom and apm commands to /usr/local/bin by executing:

sudo script/grunt install

Resources

e https://github.com/atom/atom/blob/master/docs/build-instructions/linux.md
e https://github.com/nodejs/node-v0.x-archive/wiki/Installing-Node.js-via-package-manager#debian-and-ubuntu-based-linux-distrib
utions

History

#1 - 09/03/2015 09:33 PM - Daniel Curtis
- Status changed from New to In Progress

- % Done changed from 0 to 50

#2 - 09/04/2015 09:33 AM - Daniel Curtis
- Description updated

- % Done changed from 50 to 100

#3 - 09/04/2015 09:40 PM - Daniel Curtis

- Status changed from In Progress to Resolved

#4 - 09/09/2015 10:15 AM - Daniel Curtis

- Description updated

#5 - 09/11/2015 05:24 PM - Daniel Curtis

- Status changed from Resolved to Closed
